kimageformats (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep remaining Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:46:44 +0100

kimageformats (5.116.0-0ubuntu7) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:44:12 -0500

kimageformats (5.116.0-0ubuntu6) oracular; urgency=medium

  * Rebuild against new libjxl0.10.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jul 2024 18:37:59 +0200

kimageformats (5.116.0-0ubuntu5) oracular; urgency=medium

  * Drop extra Build-Depends: not needed after libavif was fixed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jul 2024 09:57:26 -0600

kimageformats (5.116.0-0ubuntu4) oracular; urgency=medium

  * Add build depends, needed after libavif 1.1.0-2ubuntu1 upload:
    - librav1e-dev
    - libsvtav1enc-dev
    - libyuv-dev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 17 Jul 2024 11:12:11 +0100

kimageformats (5.116.0-0ubuntu3) oracular; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 19:36:42 -0400

kimageformats (5.116.0-0ubuntu2) oracular; urgency=medium

  * Rebuild against new libjxl0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 22:08:29 +0200

kimageformats (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:42:55 +0100

kimageformats (5.115.0-0ubuntu7) noble; urgency=medium

  * No-change rebuild against libimath-3-1-29t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Apr 2024 05:59:49 +0000

kimageformats (5.115.0-0ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:05:37 +0000

kimageformats (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:00:53 +0000

kimageformats (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libimath-3-1-29t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 16:08:44 +0000

kimageformats (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:57:48 -0700

kimageformats (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:17:35 -0700

kimageformats (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:53:50 -0700

kimageformats (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:43:37 +0000

kimageformats (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:48:30 +0000

kimageformats (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:58:12 +0000

kimageformats (5.110.0-0ubuntu2) mantic; urgency=medium

  * Allow backport to 23.04 where new libheif plugins do not exist.

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 14:57:05 +0100

kimageformats (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:07:26 +0100

kimageformats (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:49:27 +0100

kimageformats (5.108.0-0ubuntu2) mantic; urgency=medium

  * Rebuild against new libraw23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 16 Jul 2023 10:02:54 +0200

kimageformats (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:20:25 +0100

kimageformats (5.107.0-3ubuntu1) mantic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add hello as an alternative build dependency of libjxl-dev,
      needed for backports

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 16:15:39 +0100

kimageformats (5.107.0-3) unstable; urgency=medium

  * Team upload.
  * Add the qt5-image-formats-plugins test build dependency, needed for some
    of the psd tests
    - drop patch disable-failing-test.patch, no more needed now
  * Fix the tests of the HEIF/HEIC plugin with the new Debian packaging of
    libheif 1.16.2, which provides the various plugins as separate packages:
    (Closes: #1040255)
    - add libheif-plugin-libde265, and libheif-plugin-x265 both as test build
      dependencies, and runtime dependencies, as the plugin needs at least
      these two to load and do basic reading/writing
    - enable again the plugin

 -- Pino Toscano <pino@debian.org>  Wed, 05 Jul 2023 20:08:33 +0200

kimageformats (5.107.0-2) unstable; urgency=medium

  * Team upload.
  * Temporarily disable the HEIF/HEIC plugin, as it does not work properly with
    newer versions of libheif (see #1040255).

 -- Pino Toscano <pino@debian.org>  Wed, 05 Jul 2023 18:59:08 +0200

kimageformats (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Add patch to disable failing test.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:35 +0200

kimageformats (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:05:46 +0100

kimageformats (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Add qt5-image-formats-plugins to Build-Depends, needed for unit
    tests

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:46:13 +0100

kimageformats (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:55 +0100

kimageformats (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)
  * Re-add hello as an alternative build dependency of libjxl-dev,
    needed for backports

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:16:43 +0000

kimageformats (5.103.0-2) unstable; urgency=medium

  * Build with -ffloat-store on i386. (Closes: #1031900)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 25 Feb 2023 08:09:43 +0100

kimageformats (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:26 +0100

kimageformats (5.102.0-2) unstable; urgency=medium

  * Team upload.
  * Extend the libjxl-dev build dependency to all the Linux architectures,
    as it builds on all of them now.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Jan 2023 10:48:54 +0100

kimageformats (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:05 +0100

kimageformats (5.101.0-2) unstable; urgency=medium

  * Team upload.
  * Limit the libjxl-dev build dependency only on amd64, and i386, as it is not
    available on all the architectures yet.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 22:34:51 +0100

kimageformats (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Add libjxl-dev and libraw-dev as build dependencies for JPEG XL and
    RAW file formats support. (Closes: #1026033)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:27 +0100

kimageformats (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:00 +0100

kimageformats (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:42 +0200

kimageformats (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:33 +0200

kimageformats (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Drop patch upstream_psd-Fix-segfault-on-architectures-where-char-is-
    unsi.patch applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:02 +0200

kimageformats (5.94.0-3) unstable; urgency=medium

  * Team upload.
  * Enable the HEIF/HEIC plugin:
    - add the libheif-dev build dependency
    - pass -DKIMAGEFORMATS_HEIF=ON to cmake
  * Backport upstream commit 2a84dd677db53729be5862503ac56c5139086bb3 to fix
    a crash in the psd plugin on architectures with unsigned char; patch
    upstream_psd-Fix-segfault-on-architectures-where-char-is-unsi.patch
    - stop passing -fsigned-char to CFLAGS & CXXFLAGS, as it should not be
      needed anymore now

 -- Pino Toscano <pino@debian.org>  Wed, 01 Jun 2022 07:53:34 +0200

kimageformats (5.94.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Mark the xauth, and xvfb build dependencies as <!nocheck>, as they are
    needed only when running the test suite.
  * Pass -fsigned-char to CFLAGS & CXXFLAGS: apparently the psd plugin is
    broken on architectures where char is unsigned.
  * Make the test suite fatal also on big endian architectures: with the
    recent upstream changes to it, and the above -fsigned-char workaround,
    it seems the psd plugin works also on big endian architectures now.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 09:47:46 +0200

kimageformats (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kimageformats (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

kimageformats (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

kimageformats (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:40 +0900

kimageformats (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:56:13 +0900

kimageformats (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:47 +0900

kimageformats (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:03:41 +0900

kimageformats (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:05 +0900

kimageformats (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 11:03:42 +0900

kimageformats (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:13:26 +0900

kimageformats (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:18 +0900

kimageformats (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:34 +0900

kimageformats (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:28 +0900

kimageformats (5.78.0-5) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for CVE-2021-36083 (Closes: #990527)

 -- Norbert Preining <norbert@preining.info>  Fri, 02 Jul 2021 05:21:43 +0900

kimageformats (5.78.0-4) unstable; urgency=medium

  * Team upload.
  * Allow the test suite to fail on big endian architectures, as the test
    kimageformats-read-psd fails there.

 -- Pino Toscano <pino@debian.org>  Mon, 18 Jan 2021 17:03:00 +0100

kimageformats (5.78.0-3) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop the unused debian/meta/ stuff.
  * Run the test suite at build time, since it seems to work fine:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run
    - disable the fixfilepath reproducibility feature, as it breaks
      QFINDTESTDATA
  * Rename docs to kimageformat-plugins.docs, to make it explicit which package
    it refers to.

 -- Pino Toscano <pino@debian.org>  Mon, 18 Jan 2021 13:23:58 +0100

kimageformats (5.78.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Add libavif-dev to B-D to enable AVIF support (Closes: #980074).
  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:22 +0900

kimageformats (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

kimageformats (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:35 +0900

kimageformats (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:54 +0900

kimageformats (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:15:10 +0200

kimageformats (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:24 +0200

kimageformats (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:56 +0200

kimageformats (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Remove COPYING.LIB listed in copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 01:01:07 +0200

kimageformats (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:04 -0700

kimageformats (5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:37 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kimageformat-plugins`.
